Skip to main content
`Ctrl`+`K`

# PEPSetTrackAll

Specifies if the solver must compute the residual of all approximate eigenpairs or not.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetTrackAll(PEP pep,PetscBool trackall)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- trackall - whether compute all residuals or not

## Notes

If the user sets `trackall`=`PETSC_TRUE` then the solver explicitly computes the residual for each eigenpair approximation. Computing the residual is usually an expensive operation and solvers commonly compute the associated residual to the first unconverged eigenpair.

The option `-pep_monitor_all` automatically activates this option.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPGetTrackAll()`

## Level

developer

## Location

src/pep/interface/pepopts.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages